Delete SSO provider configuration
curl --request DELETE \
--url https://identity.sandbox.lerian.net/v1/sso/provider \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://identity.sandbox.lerian.net/v1/sso/provider"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://identity.sandbox.lerian.net/v1/sso/provider', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://identity.sandbox.lerian.net/v1/sso/provider"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"configured": true,
"passwordEnabled": true,
"provider": {
"appId": "<string>",
"category": "Email",
"clientId": "<string>",
"clientId2": "<string>",
"content": "<string>",
"createdAt": "2021-09-01T00:00:00Z",
"customAuthUrl": "<string>",
"customTokenUrl": "<string>",
"customUserInfoUrl": "<string>",
"disableSsl": true,
"domain": "<string>",
"endpoint": "<string>",
"host": "<string>",
"id": "00000000-0000-0000-0000-000000000000",
"intranetEndpoint": "<string>",
"issuerUrl": "<string>",
"method": "<string>",
"name": "SMTP Corp",
"port": 123,
"providerUrl": "<string>",
"receiver": "<string>",
"regionId": "<string>",
"scopes": "<string>",
"signName": "<string>",
"subType": "<string>",
"templateCode": "<string>",
"title": "<string>",
"type": "SendGrid"
}
}{
"code": "<string>",
"entityType": "<string>",
"err": "<unknown>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"entityType": "<string>",
"err": "<unknown>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"entityType": "<string>",
"err": "<unknown>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"entityType": "<string>",
"err": "<unknown>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"entityType": "<string>",
"err": "<unknown>",
"message": "<string>",
"title": "<string>"
}Delete SSO provider configuration
Removes your organization’s SSO provider configuration.
⚠️ Sign-in through that provider stops working immediately.
Unlike the other deletes in this API, this one answers 200, not 204.
Failures:
503 IDE-0066— the identity provider is unavailable (unreachable, too slow to answer, or failing). Nothing about the request was wrong; retry it later.
DELETE
/
v1
/
sso
/
provider
Delete SSO provider configuration
curl --request DELETE \
--url https://identity.sandbox.lerian.net/v1/sso/provider \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://identity.sandbox.lerian.net/v1/sso/provider"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://identity.sandbox.lerian.net/v1/sso/provider', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://identity.sandbox.lerian.net/v1/sso/provider"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text){
"configured": true,
"passwordEnabled": true,
"provider": {
"appId": "<string>",
"category": "Email",
"clientId": "<string>",
"clientId2": "<string>",
"content": "<string>",
"createdAt": "2021-09-01T00:00:00Z",
"customAuthUrl": "<string>",
"customTokenUrl": "<string>",
"customUserInfoUrl": "<string>",
"disableSsl": true,
"domain": "<string>",
"endpoint": "<string>",
"host": "<string>",
"id": "00000000-0000-0000-0000-000000000000",
"intranetEndpoint": "<string>",
"issuerUrl": "<string>",
"method": "<string>",
"name": "SMTP Corp",
"port": 123,
"providerUrl": "<string>",
"receiver": "<string>",
"regionId": "<string>",
"scopes": "<string>",
"signName": "<string>",
"subType": "<string>",
"templateCode": "<string>",
"title": "<string>",
"type": "SendGrid"
}
}{
"code": "<string>",
"entityType": "<string>",
"err": "<unknown>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"entityType": "<string>",
"err": "<unknown>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"entityType": "<string>",
"err": "<unknown>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"entityType": "<string>",
"err": "<unknown>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"entityType": "<string>",
"err": "<unknown>",
"message": "<string>",
"title": "<string>"
}Was this page helpful?

